Ventia
Webhooks

Create webhook

POST
/webhooks

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

Request Body

application/json
  1. body
active*boolean

Indicates whether the configuration is active.

name*string

Identifier name. Must be between 1 and 255 characters.

Length1 <= length <= 64
callbackUrl*string

Secure URL (HTTPS) where related events will be sent.

Match^https://.*
topics?array<>

List of subscribed topics. Only specific values are allowed.

Response Body

Webhook created successfully

application/json
curl -X POST 'https://api.getventia.com/api/v1.0/webhooks' \  -H 'Content-Type: application/json' \  -d '{  "active": true,  "name": "string",  "callbackUrl": "string"}'
{  "success": true,  "id": "67bca48d5fc32659c854f83c"}